import { type OutdatedPackage } from '@pnpm/outdated';
import { type SEMVER_CHANGE } from '@pnpm/semver-diff';
export interface OutdatedWithVersionDiff extends OutdatedPackage {
    change: SEMVER_CHANGE | null;
    diff?: [string[], string[]];
}
export type Comparator = (o1: OutdatedWithVersionDiff, o2: OutdatedWithVersionDiff) => number;
export declare const NAME_COMPARATOR: Comparator;
/**
 * Default comparators used as the argument to `ramda.sortWith()`.
 */
export declare const DEFAULT_COMPARATORS: Comparator[];
export declare function sortBySemverChange(outdated1: OutdatedWithVersionDiff, outdated2: OutdatedWithVersionDiff): number;
